"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataStopAcknowledge = exports.DataStop = exports.DataAcknowledge = exports.DataSend = exports.StartFetchResponse = exports.StartFetchRequest = exports.FetchResponseType = exports.FetchRequestType = exports.SocketFetchEvent = exports.OpenFetchChannelResponse = exports.OpenFetchChannelRequest = exports.UploadStopResponse = exports.UploadStopRequest = exports.UploadDataResponse = exports.UploadDataRequest = exports.StartUploadResponse = exports.StartUploadRequest = exports.UploadResponseType = exports.UploadRequestType = exports.SetStreamActiveBatchesResponse = exports.SetStreamActiveBatchesRequest = exports.PackageStreamsResponse = exports.PackageStreamsRequest = exports.PackageSinkStateResponse = exports.PackageSinkStateRequest = exports.ErrorResponse = exports.SocketResponseType = exports.SocketError = exports.SocketEvent = void 0;
var SocketEvent;
(function (SocketEvent) {
    SocketEvent["READY"] = "ready";
    SocketEvent["OPEN_FETCH_CHANNEL"] = "openFetchChannel";
    SocketEvent["START_DATA_UPLOAD"] = "startDataUpload";
    SocketEvent["SET_STREAM_ACTIVE_BATCHES"] = "setStreamActiveBatchesRequest";
    SocketEvent["SCHEMA_INFO_REQUEST"] = "schemaInfoRequest";
    SocketEvent["PACKAGE_VERSION_SINK_STATE_REQUEST"] = "packageVersionSinkStateRequest";
})(SocketEvent = exports.SocketEvent || (exports.SocketEvent = {}));
var SocketError;
(function (SocketError) {
    SocketError["NOT_AUTHORIZED"] = "notAuthorized";
    SocketError["NOT_FOUND"] = "notFound";
    SocketError["NOT_VALID"] = "notValid";
    SocketError["STREAM_LOCKED"] = "streamLocked";
    SocketError["SERVER_ERROR"] = "serverError";
    SocketError["NOT_STARTED"] = "streamProcessNotStarted";
})(SocketError = exports.SocketError || (exports.SocketError = {}));
var SocketResponseType;
(function (SocketResponseType) {
    SocketResponseType["ERROR"] = "error";
    SocketResponseType["SCHEMA_INFO_RESPONSE"] = "schemaInfoResponse";
    SocketResponseType["START_DATA_UPLOAD_RESPONSE"] = "startDataUploadResponse";
    SocketResponseType["SET_STREAM_ACTIVE_BATCHES"] = "setStreamActiveBatchesResponse";
    SocketResponseType["OPEN_FETCH_CHANNEL_RESPONSE"] = "openFetchChannelResponse";
    SocketResponseType["PACKAGE_VERSION_SINK_STATE_RESPONSE"] = "packageVersionSinkStateResponse";
})(SocketResponseType = exports.SocketResponseType || (exports.SocketResponseType = {}));
class ErrorResponse {
    constructor(message, errorType) {
        this.message = message;
        this.errorType = errorType;
        this.responseType = SocketResponseType.ERROR;
    }
}
exports.ErrorResponse = ErrorResponse;
class PackageSinkStateRequest {
    constructor(identifier) {
        this.identifier = identifier;
        this.requestType = SocketEvent.PACKAGE_VERSION_SINK_STATE_REQUEST;
    }
}
exports.PackageSinkStateRequest = PackageSinkStateRequest;
class PackageSinkStateResponse {
    constructor(identifier, state) {
        this.identifier = identifier;
        this.state = state;
        this.responseType = SocketResponseType.PACKAGE_VERSION_SINK_STATE_RESPONSE;
    }
}
exports.PackageSinkStateResponse = PackageSinkStateResponse;
class PackageStreamsRequest {
    constructor(identifier) {
        this.identifier = identifier;
        this.requestType = SocketEvent.SCHEMA_INFO_REQUEST;
    }
}
exports.PackageStreamsRequest = PackageStreamsRequest;
class PackageStreamsResponse {
    constructor(identifier, batchesBySchema) {
        this.identifier = identifier;
        this.batchesBySchema = batchesBySchema;
        this.responseType = SocketResponseType.SCHEMA_INFO_RESPONSE;
    }
}
exports.PackageStreamsResponse = PackageStreamsResponse;
class SetStreamActiveBatchesRequest {
    constructor(batchIdentifiers) {
        this.batchIdentifiers = batchIdentifiers;
        this.requestType = SocketEvent.SET_STREAM_ACTIVE_BATCHES;
    }
}
exports.SetStreamActiveBatchesRequest = SetStreamActiveBatchesRequest;
class SetStreamActiveBatchesResponse {
    constructor(batchIdentifiers) {
        this.batchIdentifiers = batchIdentifiers;
        this.responseType = SocketResponseType.SET_STREAM_ACTIVE_BATCHES;
    }
}
exports.SetStreamActiveBatchesResponse = SetStreamActiveBatchesResponse;
var UploadRequestType;
(function (UploadRequestType) {
    UploadRequestType["UPLOAD_DATA"] = "uploadData";
    UploadRequestType["UPLOAD_STOP"] = "uploadStop";
})(UploadRequestType = exports.UploadRequestType || (exports.UploadRequestType = {}));
var UploadResponseType;
(function (UploadResponseType) {
    UploadResponseType["UPLOAD_RESPONSE"] = "uploadResponse";
    UploadResponseType["UPLOAD_STOP_RESPONSE"] = "uploadStopResponse";
})(UploadResponseType = exports.UploadResponseType || (exports.UploadResponseType = {}));
class StartUploadRequest {
    constructor(schemaStreamIdentifier, newBatch) {
        this.schemaStreamIdentifier = schemaStreamIdentifier;
        this.newBatch = newBatch;
        this.requestType = SocketEvent.START_DATA_UPLOAD;
    }
}
exports.StartUploadRequest = StartUploadRequest;
class StartUploadResponse {
    constructor(channelName, batchIdentifier) {
        this.channelName = channelName;
        this.batchIdentifier = batchIdentifier;
        this.responseType = SocketResponseType.START_DATA_UPLOAD_RESPONSE;
    }
}
exports.StartUploadResponse = StartUploadResponse;
class UploadDataRequest {
    constructor(records) {
        this.records = records;
        this.requestType = UploadRequestType.UPLOAD_DATA;
    }
}
exports.UploadDataRequest = UploadDataRequest;
class UploadDataResponse {
    constructor() {
        this.responseType = UploadResponseType.UPLOAD_RESPONSE;
    }
}
exports.UploadDataResponse = UploadDataResponse;
class UploadStopRequest {
    constructor() {
        this.requestType = UploadRequestType.UPLOAD_STOP;
    }
}
exports.UploadStopRequest = UploadStopRequest;
class UploadStopResponse {
    constructor() {
        this.responseType = UploadResponseType.UPLOAD_STOP_RESPONSE;
    }
}
exports.UploadStopResponse = UploadStopResponse;
class OpenFetchChannelRequest {
    constructor(batchIdentifier) {
        this.batchIdentifier = batchIdentifier;
        this.requestType = SocketEvent.OPEN_FETCH_CHANNEL;
    }
}
exports.OpenFetchChannelRequest = OpenFetchChannelRequest;
class OpenFetchChannelResponse {
    constructor(channelName, batchIdentifier) {
        this.channelName = channelName;
        this.batchIdentifier = batchIdentifier;
        this.responseType = SocketResponseType.OPEN_FETCH_CHANNEL_RESPONSE;
    }
}
exports.OpenFetchChannelResponse = OpenFetchChannelResponse;
var SocketFetchEvent;
(function (SocketFetchEvent) {
    SocketFetchEvent["FETCH_DATA_ACKNOWLEDGE"] = "fetchDataAcknowledge";
    SocketFetchEvent["FETCH_DATA_END"] = "fetchDataEnd";
})(SocketFetchEvent = exports.SocketFetchEvent || (exports.SocketFetchEvent = {}));
var FetchRequestType;
(function (FetchRequestType) {
    FetchRequestType["START"] = "fetchDataStart";
    FetchRequestType["DATA"] = "data";
    FetchRequestType["STOP"] = "fetchDataStop";
})(FetchRequestType = exports.FetchRequestType || (exports.FetchRequestType = {}));
var FetchResponseType;
(function (FetchResponseType) {
    FetchResponseType["START_ACKNOWLEDGE"] = "startAcknowledge";
    FetchResponseType["DATA_ACKNOWLEDGE"] = "dataAcknowledge";
    FetchResponseType["STOP_ACKNOWLEDGE"] = "fetchDataStopAcknowledge";
})(FetchResponseType = exports.FetchResponseType || (exports.FetchResponseType = {}));
class StartFetchRequest {
    constructor(offset) {
        this.offset = offset;
        this.requestType = FetchRequestType.START;
    }
}
exports.StartFetchRequest = StartFetchRequest;
class StartFetchResponse {
    constructor() {
        this.responseType = FetchResponseType.START_ACKNOWLEDGE;
    }
}
exports.StartFetchResponse = StartFetchResponse;
class DataSend {
    constructor(records) {
        this.records = records;
        this.requestType = FetchRequestType.DATA;
    }
}
exports.DataSend = DataSend;
class DataAcknowledge {
    constructor() {
        this.responseType = FetchResponseType.DATA_ACKNOWLEDGE;
    }
}
exports.DataAcknowledge = DataAcknowledge;
class DataStop {
    constructor() {
        this.requestType = FetchRequestType.STOP;
    }
}
exports.DataStop = DataStop;
class DataStopAcknowledge {
    constructor() {
        this.responseType = FetchResponseType.STOP_ACKNOWLEDGE;
    }
}
exports.DataStopAcknowledge = DataStopAcknowledge;
//# sourceMappingURL=SocketUtil.js.map